=== debian/changelog ===
xbmc (0.0.20140613-0~rzr20140613) unstable; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#xbmc

 -- Philippe Coval <rzr@gna.org>  Fri, 13 Jun 2014 06:48:42 +0200

xbmc (0.0.20140613-0~rzr) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#xbmc

 -- Philippe Coval <rzr@gna.org>  Fri, 13 Jun 2014 06:48:01 +0200

xbmc (0.0.0-0) UNRELEASED; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#xbmc

 -- Philippe Coval <rzr@gna.org>  Fri, 13 Jun 2014 06:48:01 +0200

xbmc (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Fri, 13 Jun 2014 06:47:42 +0200
