=== debian/control ===
Source: xbmc
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/xbmc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xbmc.git;a=summary

Package: xbmc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: xbmc-snapshot
Architecture: all
Section: utils
Depends: xbmc (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade xbmc
 http://rzr.online.fr/q/snapshot#xbmc Feedback welcome
